/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.service;

import gov.va.med.esr.common.model.lookup.Gender;
import gov.va.med.esr.common.model.person.PreferredFacility;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DNS   jonesa
 *
 */
public class VOASearchResultBean implements Serializable {

	private static final long serialVersionUID = 4156723125347101355L;
    
    private String firstName = null;
    private String lastName = null;
    private BigDecimal applicationId = null;
    private String fullQualifiedId = null;
    private String reqRecdDate = null;
    private Date reqRecdDateFrom = null;
    private Date reqRecdDateTo = null;
    private Date dateOfBirth = null;
    private String gender = null;
    private String formPendingReason = null;
    private String formTypeValue = null;
    private BigDecimal formType = null;
    private String errorText = null;
    private String ssn = null;
    private boolean pendingSubmissions = false;
    
	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getFullQualifiedId() {
		return fullQualifiedId;
	}

	public void setFullQualifiedId(String fullQualifiedId) {
		this.fullQualifiedId = fullQualifiedId;
	}

	public BigDecimal getApplicationId() {
		return applicationId;
	}

	public void setApplicationId(BigDecimal applicationId) {
		this.applicationId = applicationId;
	}
	
	public String getReceiveTimeStamp() {
		return reqRecdDate;
	}

	public void setReceiveTimeStamp(String reqRecdDate) {
		this.reqRecdDate = reqRecdDate;
	}

	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getSsn() {
		return ssn;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public String getFormPendingReason() {
		return formPendingReason;
	}

	public void setFormPendingReason(String formPendingReason) {
		this.ssn = formPendingReason;
	}

	public Date getDob() {
		return dateOfBirth;
	}

	public void setDob(Date dateOfBirth) {
		this.dateOfBirth= dateOfBirth;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getReqRecdDate() {
		return reqRecdDate;
	}

	public void setReqRecdDate(String reqReqdDate) {
		this.reqRecdDate = reqReqdDate;
	}	
	
	public BigDecimal getFormType() {
		return formType;
	}

	public void setFormType(BigDecimal formType) {
		this.formType = formType;
	}
	
	public String getFormTypeValue() {
		return formTypeValue;
	}

	public void setFormTypeValue(String formTypeValue) {
		this.formTypeValue = formTypeValue;
	}	

	public String getErrorText() {
		return errorText;
	}

	public void setErrorText(String errorText) {
		this.errorText = errorText;
	}   
    
	public Date getReqRecdDateFrom() {
		return reqRecdDateFrom;
	}
	
	public void setReqRecdDateFrom(Date reqRecdDateFrom) {
		this.reqRecdDateFrom = reqRecdDateFrom;	
	}

	public Date getReqRecdDateTo() {
		return reqRecdDateTo;
	}
	
	public void setReqRecdDateTo(Date reqRecdDateTo) {
		this.reqRecdDateTo = reqRecdDateTo;	
	}


	
}
